@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Shippori+Mincho:wght@700&display=swap");

@tailwind base;
@tailwind components;
@tailwind utilities;

html,
body {
  padding: 0;
  margin: 0;
}

a {
  color: inherit;
  text-decoration: none;
}

* {
  box-sizing: border-box;
}

::-webkit-scrollbar {
  display: none;
}

@layer components {
  .search-bar {
    @apply hidden w-full z-0 shadow-md fixed bg-white top-0 p-4 rounded-md;
  }

  .search-bar-active {
    @apply md:hidden w-full transition duration-1000 ease-in z-20 shadow-md fixed top-0 bg-white p-4 rounded-md;
  }
  .recarrow {
    @apply bg-white;
  }
}

@font-face {
  font-family: italic;
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: local(Poppins-MediumItalic) url(/fonts/Poppins-MediumItalic.tff)
    format("truetype");
}
